3.1.2 Update a Product
Endpoint:
plain
POST /OpenApi/V1/Sku/Sku/update?signature=xxxHTTP method: POST
Request parameters:
| Field | Type | Required | Description |
|---|---|---|---|
| skuId | int | Yes | SKU ID |
| sku | string | No | sku |
| skuName | string | No | SKU name in Chinese |
| skuNameEn | string | No | SKU name in English |
| length | number | No | Length |
| width | number | No | Width |
| height | number | No | Height |
| distanceUnit | int | No | Dimension unit |
| weight | number | No | Weight |
| netWeight | number | No | Net weight |
| massUnit | int | No | Weight unit |
| fnSku | string | No | FN SKU |
| note | string | No | Notes |
| shippingType | int | No | Shipping type |
| piecesQtyInCarton | int | No | Units per carton |
Success response example:
json
{
"code": "200",
"result": [],
"message": "Updated successfully"
}Error response example:
json
{
"code": "400",
"result": [],
"message": "Failed to update"
}